org.eclipse.jetty.util.preventers

## Class DriverManagerLeakPreventer

- java.lang.Object
- - org.eclipse.jetty.util.component.AbstractLifeCycle
  - - org.eclipse.jetty.util.preventers.AbstractLeakPreventer
    - - org.eclipse.jetty.util.preventers.DriverManagerLeakPreventer

All Implemented Interfaces:
  LifeCycle

    public class DriverManagerLeakPreventer
    extends AbstractLeakPreventer

DriverManagerLeakPreventer Cause DriverManager.getCallerClassLoader() to be called, which will pin the classloader. Inspired by Tomcat JreMemoryLeakPrevention.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`AbstractLifeCycle.AbstractLifeCycleListener`

### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle

`LifeCycle.Listener`

### Field Summary

### Fields inherited from class org.eclipse.jetty.util.preventers.AbstractLeakPreventer

`LOG`

### Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

### Constructor Summary

Constructors
Constructor and Description
`DriverManagerLeakPreventer()`

### Method Summary

Methods
`void` `prevent(ClassLoader loader)`

### Methods inherited from class org.eclipse.jetty.util.preventers.AbstractLeakPreventer

`doStart`

### Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`addLifeCycleListener, doStop, getState, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DriverManagerLeakPreventer

    public DriverManagerLeakPreventer()

### Method Detail

#### prevent

    public void prevent(ClassLoader loader)

Specified by:
  `prevent` in class `AbstractLeakPreventer`